#include<stdio.h>
#include<math.h>
int pravljenje(int a[],int n)
{
a[0]=-1*n;
for(int i=1;i<2*n;i++)
a[i]=a[i-1]+1;
}
int unos(int b[],int n)
{
for(int i=0;i<n;i++)
scanf("%d",&b[i]);
}
int pogodak(int a[],int b[],int c[],int n,int k)
{
int x=0;
for(int i=0;i<2*n;i++)
{
int p=0;
for(int j=0;j<n;j++)
{
if(a[i]==b[j])
p++;
}
if(p>=2)
x++,c[x-1]=a[i];
}
k=x;
}
int ispis(int c[],int n)
{
for(int i=0;i<n;i++)
printf("%d ",c[i]);
}
main()
{
int n,k,a[1000],b[1000],c[1000];
scanf("%d%d",&n,&k);
pravljenje(a,n);
unos(b,n);
pogodak(a,b,c,n,k);
printf("%d\n",k);
ispis(c,k);
}